COLORGCC(1)

NAME
colorgcc - colorization wrapper for gcc

SYNOPSIS
colorgcc [OPTION]... [FILENAME]...

DESCRIPTION
colorgcc acts as a wrapper around gcc(1) to ease reading its output by colorizing it.

OPTIONS
Since colorgcc is a wrapper around gcc(1), it has the same command line options as gcc(1).

USAGE
At your shell prompt, set your CC environment variable to 'colorgcc'. This may be done in several different ways, depending on what shell you use.

In a Bourne-compatible shell (bash, ash, zsh, pdksh), type:
export CC="colorgcc"

In a C shell variant (csh, tcsh), type:
setenv CC "colorgcc"

Refer to your shell's documentation for more information on setting environment variables.

FILES

/etc/colorgcc/colorgccrc
    System-wide configuration file for colorgccrc.

$HOME/.colorgccrc
    Personal configuration file for colorgccrc.

SEE ALSO
gcc(1), colorgccrc(5)

HISTORY
Jan 15 2003: Initial version of this manual-page.

REPORTING BUGS
Report bugs to <jmoyers@geeks.com>

AUTHORS
Jamie Moyers <jmoyers@geeks.com> is the author of colorgcc.

This manual page was written by Joe Wreschnig <piman@sacredchao.net>, and modified by David Weinehall <tao@debian.org>, for the Debian GNU/Linux system (but may be used by others).

COPYRIGHT
Copyright © 2003 Jamie Moyers
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.